Subject: Comment on draft-ietf-secsh-transport-22.txt

From: [email-masked] (Peter Gutmann)
Date: Mon, 27 Dec 2004 02:04:22 +1300

I was just checking this again to see whether the signature-format problem had
been resolved yet, the incompletely-specified X.509 format has been removed
(phew!) but the totally unspecified SPKI format (RFC2693 specifies neither a
cert nor signature format, that was in the long-expired draft-ietf-spki-
certstructure, so it's not possible to provide either a cert or a "signature
blob in format specific encoding") and the incompletely-specified PGP format
(RFC2440 specifies a large number of options, signed attributes, packet types,
etc etc for signatures) are still present.  These should really be removed as
well if it's not possible for anyone to implement them.

Peter.